*,
*::before,
*::after {
    --preto: #0f0f0f;
    --branco-logo: #ffffff;
    --preto-logo: #181818;
    --cinza-logo: #838999;
    --cinza-escuro: #222222;
}

body {
    font-family: "Open Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
    max-width: auto;
    background-color: var(--branco-logo);
    color: var(--cinza-escuro);                                                            
    width: 100%;
    height: auto;
    overflow: auto;
    font-size: 14px;
    box-sizing: border-box;
    text-align: center;
}

/* CABECALHO */

.cabecalho {
    background-color: var(--branco-logo);
    color: var(--preto-logo);
    display: flex;
    height: 90px;
    margin-top: 8px;
}
    .cabecalho__logo {
        display: block;
        width: 90px;
        height: 90px;
        padding: 0;
    }
        .cabecalho__img {
            width: 90px;
            height: 90px;
            cursor: pointer;
        }
    .cabecalho__vcma {
        display: block;
        width: 220px;
        font-size: 25px;
        margin-bottom: 14px;
        padding: 0;
        text-align: left;
    }
    .cabecalho__texto {
        margin-bottom: 12px;
    }
    .cabecalho__linha {
        font-family: "Alex Brush", cursive;
        font-weight: 400;
        font-style: italic;
        display: block;
        align-self: flex-end;
        right: 0;
        margin: 0 10px;
        text-align: right;
        height: 36px;
        font-size: 32px;
    }

#titulo {
    background-color: var(--cinza-logo);
    color: var(--preto-logo);
    text-align: left;
    font-size: 20px;
    padding: 0;
    margin: 0;
}
    .barra__titulo-destino p,
    .barra__titulo-nome p {
        margin: 5px 12px;
    }
    .barra__titulo-atividade {
        display: flex;
        flex-direction: row;
    }
        .barra__titulo-return {
            align-self: flex-end;
            padding-inline: 8px;
        }

.material-symbols-outlined {
    color: var(--preto-logo);
    font-variation-settings:
    'FILL' 0,
    'wght' 400,
    'GRAD' 0,
    'opsz' 24
}


/* CONTEUDO => DESTINOS */

#destinos {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    grid-gap: 1em;
    align-items: center;
    padding: 0 4px;
    margin: 0.5em auto;
}
    .destino__item {
        flex: 48%;
        max-width: 450px;
        grid-template-rows: auto;
        background-color: rgb(96 139 168 / 0.2);
        border-radius: 10px;
        padding: 0 1px;
    }
        .destino__foto {
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
            object-fit: cover;
            margin-top: 1px;
            vertical-align: middle;
        }
        .destino__titulo {
            margin: 0;
            padding: 0.4em;
            font-size: 20px;
            align-items: left;
            text-align: left;
        }
        .destino__item .content {
            padding-left: 0.5em;
            padding-right: 0.5em;
            height: 3.8em;
        }
        .destino__titulo
        .destino__descricao {
            color: var(--preto);
            text-align: left;
        }
        .destino__descricao {
            width: 100%;
            height: 2.9em;
            font-size: 15px;
            display: -webkit-box; 
            -webkit-box-orient: vertical; 
            -webkit-line-clamp: 2;
            line-clamp: 2;
            line-height: 1.5em;
            overflow: hidden; 
            text-overflow: ellipsis;
            text-align: left;
        }  


/* ATIVIDADES */

#atividades {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    grid-template-columns: repeat(auto-fill, max(400px));
    grid-gap: 1em;
    align-items: stretch;
    padding: 0 0.5em;
    margin: 0.5em auto;
    justify-content: center;
    align-content: space-between;  
}
    .atividade__item {
        flex: 48%;
        max-width: 48%;
        grid-template-rows: auto;
        background-color: rgb(96 139 168 / 0.2);
        border-radius: 10px;
        padding: 0;
    }
        .atividade__item img {
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
            object-fit: cover;
            margin-top: 2px;
            vertical-align: middle;
        }
        .atividade__item .content {
            border-bottom-left-radius: 10px;
            border-bottom-right-radius: 10px;
            padding: 0.5em;
            height: auto;
        }
            .atividade__titulo
            .atividade__descricao {
                color: var(--preto);
                margin: 0;
                padding: 1em;
            }
            .atividade__titulo {
                font-size: 20px;
                padding-bottom: 0.5em;
                text-align: left;
            }
            .atividade__descricao {
                font-size: 14px;
                text-align: left;
                line-height: 1.5em;
            }

    .atividade__video {
        flex: 40%;
        max-width: 40%;
        grid-template-rows: auto;
        border-radius: 10px;
        padding: 0;
    }
        .atividade__video iframe {
            width: 100%;
            min-height: 26em;
            border-radius: 10px;
            object-fit: cover;
            margin-top: 2px;
            vertical-align: middle;
        }


/* RODAPE */

#rodape {
    max-width: auto;
    text-align: center;
    padding: 0;
}
    .rodape__elemento {
        font-size: 17px;
    }
    .rodape__banner {
        padding-bottom: 0.8em;
    }
    .rodape__vcma-dados {
        margin: 0.6em;
    }
    .rodape__instagram {
        margin-bottom: 0.1em;
    }
    .icon__instagram {
        width: 16px;
        height: 16px;
    }
    .icon__linkedin {
        width: 18px;
        height: 18px;
    }


/* MEDIA SCREEN */

@media only screen and (max-width: 1200px) {
    #cabecalho {
        height: 90px;
    }
    .cabecalho__logo {
        width: 90px;
        height: 90px;
    }
        .cabecalho__img {
            width: 90px;
            height: 90px;
            cursor: pointer;
        }
    .cabecalho__vcma {
        width: 200px;
        font-size: 22px;
    }
    .cabecalho__linha {
        font-size: 26px;
        right: 0;
    }

    .rodape__elemento {
        font-size: 16px;
    }
        .icon__instagram {
            width: 15px;
            height: 15px;
        }
        .icon__linkedin {
            width: 16px;
            height: 16px;
        }

    .barra__titulo {
        padding-left: 0.6em;
    }

    .barra__titulo,
    .destino__titulo,
    .atividade__titulo {
        font-size: 22px;
    }

    .destino__item,
    .atividade__item,
    .atividade__video {
        flex: 48%;
        max-width: 48%;
    }

    .atividade__video iframe {
        width: 100%;
        min-height: 22em;
    }
}

@media only screen and (max-width: 740px) {
    .cabecalho {
        height: 80px;
    }
    .cabecalho__logo {
        width: 80px;
        height: 80px;
        margin: 0;
    }
        .cabecalho__img {
            width: 80px;
            height: 80px;
            cursor: pointer;
        }
    .cabecalho__vcma {
        width: 130px;
        font-size: 16px;
    }
    .cabecalho__linha {
        height: 26px;
        font-size: 22px;
        right: 0;
    }

    .rodape__elemento {
        font-size: 15px;
    }
        .icon__instagram {
            width: 14px;
            height: 14px;
        }
        .icon__linkedin {
            width: 15px;
            height: 15px;
        }

    .barra__titulo {
        padding-left: 0.6em;
    }

    .barra__titulo,
    .destino__titulo,
    .atividade__titulo {
        font-size: 20px;
    }

    .destino__item,
    .atividade__item,
    .atividade__video {
        flex: 48%;
        min-width: 320px;
    }

    .atividade__video iframe {
        width: 100%;
        min-height: 18em;
    }
}

@media only screen and (max-width: 550px) {
    .cabecalho {
        height: 70px;
        margin-top: 0;
    }
    .cabecalho__logo {
        width: 70px;
        height: 70px;
    }
        .cabecalho__img {
            width: 70px;
            height: 70px;
        }
    .cabecalho__vcma {
        display: none;
    }
    .cabecalho__linha {
        height: 24px;
        font-size: 20px;
        right: 0;
    }

    .rodape__elemento {
        font-size: 14px;
    }
        .icon__instagram {
            width: 13px;
            height: 13px;
        }
        .icon__linkedin {
            width: 15px;
            height: 15px;
        }

    .barra__titulo {
        padding-left: 0.6em;
    }

    .barra__titulo,
    .destino__titulo,
    .atividade__titulo {
        font-size: 18px;
    }

    .destino__item,
    .atividade__item,
    .atividade__video {
        flex: 100%;
        max-width: 100%;
    }

    .atividade__video iframe {
        width: 100%;
        min-height: 17em;
    }
}
